import os 
import json


class Struct:
	def __init__(self, **entries): 
		self.__dict__.update(entries)

def pluck_values(object, fields=[], fields_extra=[], skip_if_none=None):
	for el in object:
		result_dict = {}
		print_value = True

		for f in fields:
			result_dict[f] = el.__dict__.get(f)
		for f in fields_extra:
			result_dict[f] = el.__dict__['extra'].get(f)

	
		if skip_if_none != None:
			skip_field = result_dict.get(skip_if_none)
			print_value = False if skip_field == None else print_value

		if print_value == True:
			print result_dict


def get_credentials(provider=None):
	home = os.path.expanduser("~")
	token_path = os.path.join(home, '.cloudcli', provider)

	config = {}
	with open(token_path, 'r') as f:
		config =  json.load(f)
		
	credentials = Struct(**config)

	return credentials