from libcloud.compute.types import Provider
from libcloud.compute.providers import get_driver
from cloudcli.utils import get_credentials

class AmazonAuth(object):

	def __init__(self):
		credentials = get_credentials(provider='amazon')
		auth = get_driver(Provider.EC2)

		self.driver = auth(credentials.access_key_id, credentials.secret_access_key)